/* Customize any plain widget that is a child of a QMainWindow. */

/* Main area */
.AWizardFace {
    border-style: none;
    background-image: url(:/design/bg.png);
    background-position: top left;
    background-repeat: no-repeat
}

AWizardFace > QScrollArea {
    border-width: 1px;
    border-style: solid;
    border-color: rgba(198, 198, 198, 65%);
}

.ACenterFace {
    border-style: none;
}

.ACenterFace #modules_view {
    background-color: white;
}

/* Nice WindowsXP-style password character for password line edits. */
QLineEdit {
    lineedit-password-character: 9679;
}

AWizardFace QLineEdit {
    border: 2px inset gray;
}

/* White color for labels: 100% white for title text and for other labels */
AWizardFace QLabel {
	color: rgba(255, 255, 255, 100%);
}

QCheckBox, QRadioButton {
	color: black;
}

AWizardFace QCheckBox:checked, AWizardFace QCheckBox:unchecked, AWizardFace QCheckBox:indeterminate {
	color: white;
}

AWizardFace QRadioButton:checked, AWizardFace QRadioButton:unchecked, AWizardFace QRadioButton:indeterminate {
	color: rgba(255, 255, 255, 100%);
}

/* Sections */
AWizardFace AGroupBox {
	border: 1px solid rgba(255, 255, 255, 0%);
}

AWizardFace AGroupBox::title {
    color: #F8E97C;
    font: bold;
}

QCheckBox:hover, QRadioButton:hover {
	background: none;
}

/* Fix side effect on transparent background */
QCheckBox:indicator:hover, QRadioButton:indicator:hover {
	margin-left: 1px;
}

/* Step title */
QLabel#wizardface_title_text {
	color: white;
}

/* Popup dialogs and message boxes with warnings and errors */
MessageBox {
	background-color: rgba(235, 235, 235, 100%);
	border: 5px solid #d7d7d7;
}

AGridBox {
	background-color: transparent;
	border: 0px;
}

/* Installation steps list
AWizardFaceStepList {
	background-color: rgba(235, 235, 235, 10%);
}
*/

QProgressBar {
    font-weight: bold;
    color: #3892D4;
    background: white;
    border: 1px solid #b8b2ad;
}

QProgressBar::chunk {
    background-color: #132C90;
    background: QLinearGradient( x1: 0, y1: 0, x2: 0, y2: 1,
    stop: 0 #132C90,
    stop: 1 #001056) url(:/design/progress-cleanlooks.png);
    border: 1px solid #001056;
}

QRadioButton:focus, QCheckBox:focus, QLineEdit:focus, QComboBox:focus, QTreeView:focus, QTextBrowser:focus {
    border-width: 1px;
    border-color: black;
    padding: 0px;
}

QPushButton:focus {
    border-width: 1px;
    border-color: black;
    padding: 0px;
    background-color: white;
}
